%define	name	xrestop
%define	version	0.2
%define	release	5mdk

Summary:	X Resource Monitor
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://www.freedesktop.org/Software/xrestop
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel XFree86-static-devel ncurses-devel
Requires:	XFree86 >= 4.3

%description
A utility to monitor the usage of resources within the X Server, and
display them in a manner similar to top.

%prep
%setup -q

%build
%configure
%__make SUBDIRS=

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std SUBDIRS=
%makeinstall_std -C doc SUBDIRS=
install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{name}"\
needs="x11"\
section="System/Monitoring"\
title="Xrestop"\
longtitle="Analyse X resources"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_mandir}/man1/%{name}*
%doc README AUTHORS ChangeLog NEWS

%changelog
* Thu Feb 26 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2-5mdk
- fix typo in longtitle
- fix group
- cleanups 
- added docs

* Thu Feb 26 2004 Emmanuel Blindauer <manu@agat.net> 0.2-4mdk
- Rebuild

* Sat Jan  3 2004 Blindauer Emmanuel <manu@agat.net> 0.2-3mdk
- Tag Packager in .spec had predecence on .rpmmacros, so removed.

* Sat Jan  3 2004 Blindauer Emmanuel <manu@agat.net> 0.2-2mdk
- removed the antispam email as scripts need it.

* Wed Dec 31 2003 Blindauer Emmanuel <manu (at) agat.net> 0.2-1mdk
- version for mdk, some more abstraction.
- BuildRequires, man page, menu entry.

* Wed Dec 24 2003  <suckfish@ihug.co.nz> 
- Initial build.


